com.fasterxml.jackson.databind.introspect

## Class AnnotatedClassResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedClassResolver

-     public class AnnotatedClassResolver
      extends Object

  Helper class that contains logic for resolving annotations to construct `AnnotatedClass` instances.
  Since:
    2.9

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotatedClass` | `resolve(MapperConfig<?> config, JavaType forType, ClassIntrospector.MixInResolver r)`
    `static AnnotatedClass` | `resolveWithoutSuperTypes(MapperConfig<?> config, Class<?> forType)`
    `static AnnotatedClass` | `resolveWithoutSuperTypes(MapperConfig<?> config, Class<?> forType, ClassIntrospector.MixInResolver r)`
    `static AnnotatedClass` | `resolveWithoutSuperTypes(MapperConfig<?> config, JavaType forType, ClassIntrospector.MixInResolver r)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### resolve

          public static AnnotatedClass resolve(MapperConfig<?> config,
                                               JavaType forType,
                                               ClassIntrospector.MixInResolver r)

    - #### resolveWithoutSuperTypes

          public static AnnotatedClass resolveWithoutSuperTypes(MapperConfig<?> config,
                                                                Class<?> forType)

    - #### resolveWithoutSuperTypes

          public static AnnotatedClass resolveWithoutSuperTypes(MapperConfig<?> config,
                                                                JavaType forType,
                                                                ClassIntrospector.MixInResolver r)

    - #### resolveWithoutSuperTypes

          public static AnnotatedClass resolveWithoutSuperTypes(MapperConfig<?> config,
                                                                Class<?> forType,
                                                                ClassIntrospector.MixInResolver r)

Copyright © 2008–2019 FasterXML. All rights reserved.